Graphics.UI.Gtk.Windows.Dialog

# Detail

# Class Hierarchy

# Types

data Dialog

class DialogClass o

castToDialog

gTypeDialog

toDialog

# Enums

data ResponseId

# Constructors

dialogNew

# Methods

dialogGetContentArea

dialogGetActionArea

dialogRun

dialogResponse

dialogAddButton

dialogAddActionWidget

dialogSetDefaultResponse

dialogSetResponseSensitive

dialogGetResponseForWidget

dialogAlternativeDialogButtonOrder

dialogSetAlternativeButtonOrderFromArray

dialogGetWidgetForResponse

# Attributes

dialogActionAreaBorder

dialogButtonSpacing

dialogContentAreaBorder

dialogContentAreaSpacing

# Signals

response

# Deprecated